<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['act'])) {
  $act = check($_GET['act']);
} else {
  $act = 'index';
} 
if (isset($_GET['start'])) {
  $start = abs(intval($_GET['start']));
} else {
  $start = 0;
} 

show_title('site.png', 'Список последних комментариев');
$config['newtitle'] = 'Список последних комментариев';

switch ($act):
# ###########################################################################################
# #                                    Главная страница                                    ##
# ###########################################################################################
case 'index':

  $total = DB :: $dbh -> querySingle("SELECT count(*) FROM `commnews`;");

  if ($total > 0) {
    if ($total > 100) {
      $total = 100;
    } 
    if ($start >= $total) {
      $start = 0;
    } 

    $querynews = DB :: $dbh -> query("SELECT `commnews`.*, `news_title`, `news_comments` FROM `commnews` LEFT JOIN `news` ON `commnews`.`commnews_news_id`=`news`.`news_id` ORDER BY `commnews_time` DESC LIMIT " . $start . ", " . $config['postnews'] . ";");

    while ($data = $querynews -> fetch()) {
      echo '<div class="b">';

      echo '<img src="../images/img/balloon.gif" alt="image" /> <b><a href="comments.php?act=viewcomm&amp;id=' . $data['commnews_news_id'] . '&amp;cid=' . $data['commnews_id'] . '&amp;' . SID . '">' . $data['news_title'] . '</a></b> (' . $data['news_comments'] . ')</div>';

      echo '<div>' . bb_code($data['commnews_text']) . '<br />';

      echo 'Написал: <a href="../pages/anketa.php?uz=' . $data['commnews_author'] . '&amp;' . SID . '">' . nickname($data['commnews_author']) . '</a> <small>(' . date_fixed($data['commnews_time']) . ')</small><br />';

      if (is_admin() || empty($config['anonymity'])) {
        echo '<span class="data">(' . $data['commnews_brow'] . ', ' . $data['commnews_ip'] . ')</span>';
      } 

      echo '</div>';
    } 

    page_strnavigation('comments.php?', $config['postnews'], $start, $total);
  } else {
    show_error('Комментарии не найдены!');
  } 
  break;
# ###########################################################################################
# #                                     Переход к сообщение                                ##
# ###########################################################################################
case 'viewcomm':

  if (isset($_GET['id'])) {
    $id = abs(intval($_GET['id']));
  } else {
    $id = 0;
  } 
  if (isset($_GET['cid'])) {
    $cid = abs(intval($_GET['cid']));
  } else {
    $cid = 0;
  } 

  $querycomm = DB :: $dbh -> querySingle("SELECT COUNT(*) FROM `commnews` WHERE `commnews_id`<=? AND `commnews_news_id`=? ORDER BY `commnews_time` ASC LIMIT 1;", array($cid, $id));

  if (!empty($querycomm)) {
    $end = floor(($querycomm - 1) / $config['postnews']) * $config['postnews'];

    header ("Location: index.php?act=comments&id=$id&start=$end&" . SID);
    exit;
  } else {
    show_error('Ошибка! Комментарий к данной новости не существует!');
  } 
  break;

default:
  header("location: comments.php?" . SID);
  exit;
  endswitch;

  echo '<img src="../images/img/reload.gif" alt="image" /> <a href="index.php?' . SID . '">К новостям</a><br />';
  echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

  include_once ('../themes/' . $config['themes'] . '/foot.php');

  ?>